#include "xmaterialtexturedefinfo.h"

XMaterialTextureDefInfo::XMaterialTextureDefInfo()
    : XAsset()
    , mImage(new XGfxImage())
    , mWater(new XWater())
{
    
}

XMaterialTextureDefInfo::~XMaterialTextureDefInfo()
{
    delete mImage;
    delete mWater;
}

void XMaterialTextureDefInfo::ParseData(QDataStream *aStream)
{
    
}

void XMaterialTextureDefInfo::Clear()
{
    delete mImage;
    delete mWater;

    mImage = new XGfxImage();
    mWater = new XWater();
}
